## social-auth-app-django 3.1.0

=== Makefile ===
build:
	@ python setup.py sdist
	@ python setup.py bdist_wheel --python-tag py2
	@ BUILD_VERSION=3 python setup.py bdist_wheel --python-tag py3

publish:
	@ python setup.py sdist upload
	@ python setup.py bdist_wheel --python-tag py2 upload
	@ BUILD_VERSION=3 python setup.py bdist_wheel --python-tag py3 upload

clean:
	@ find . -name '*.py[co]' -delete
	@ find . -name '__pycache__' -delete
	@ rm -rf *.egg-info dist build

docker-tox-build:
	@ docker inspect omab/psa-social-app-django >/dev/null 2>&1 || ( \
		docker build -t omab/psa-social-app-django . \
	)

docker-tox: docker-tox-build
	@ docker run -it --rm \
		     --name psa-social-app-django-test \
		     -v "`pwd`:/code" \
		     -w /code omab/psa-social-app-django tox

=== requirements.txt ===
six
social-auth-core >= 1.2.0

=== debian/changelog ===
social-auth-app-django (3.1.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add upstream fix for Django 2.2. (Closes: #951969)

 -- Adrian Bunk <bunk@debian.org>  Fri, 24 Apr 2020 16:24:40 +0300

social-auth-app-django (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * Fixes binary package name as requested by Scott.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 02 Feb 2019 09:46:31 +0000

social-auth-app-django (3.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Ana Rodríguez López <rodrilopez.ana@gmail.com>  Wed, 30 Jan 2019 00:00:43 +0100

social-auth-app-django (2.1.0-1) unstable; urgency=low

  * Initial release. Closes: #854895

 -- Andre Bianchi <drebs@riseup.net>  Sat, 17 Mar 2018 18:01:44 -0300

=== debian/control ===
Source: social-auth-app-django
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andre Bianchi <drebs@riseup.net>, Ana Rodríguez López <rodrilopez.ana@gmail.com>
Build-Depends: debhelper (>= 11)
             , dh-python
             , python3-all
             , python3-setuptools
             , python3-mock
             , python3-django
             , python3-social-auth-core (>= 1.2.0)
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://pypi.python.org/pypi/social-auth-app-django
Vcs-Git: https://salsa.debian.org/python-team/modules/social-auth-app-django.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/social-auth-app-django

Package: python3-social-django
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
       , ${python3:Depends}
       , python3-six
       , python3-social-auth-core (>= 1.2.0)
Description: This is the Django component of the python-social-auth ecosystem
 Python Social Auth is an easy to setup social authentication/registration
 mechanism with support for several frameworks and auth providers.
 .
 This is the Django component of the python-social-auth ecosystem, it
 implements the needed functionality to integrate social-auth-core in a Django
 based project.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/social-auth-app-django/social-auth-app-django-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## social-auth-app-django 5.0.0

=== Makefile ===
build:
	@ python setup.py sdist
	@ python setup.py bdist_wheel --python-tag py3

publish:
	@ twine upload dist/*

release:
	@ docker-compose run social-release

tests:
	@ docker-compose run social-tests

clean:
	@ find . -name '*.py[co]' -delete
	@ find . -name '__pycache__' -delete
	@ rm -rf *.egg-info dist build

.PHONY: tests

=== requirements.txt ===
social-auth-core >= 4.1.0

=== debian/changelog ===
social-auth-app-django (5.0.0-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Carsten Schoenert ]
  * d/gbp.conf: Small update to use more defaults
  * d/watch: Update to version 4
  * New upstream version 5.0.0
  * d/control: Running warp-and-sort -ast
  * d/control: Bump debhelper version to 13
  * d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * d/control: Update Homepage field to GitHub
  * d/control: Increase version B-D on python3-social-auth-core
  * d/control: Update short/long desc of python3-social-django
  * d/README.source: Adding some information about source
  * d/s/metadata: Adding some metadata
  * d/control: Update explicit deps for python3-social-django
    Remove dependency on python3-six, it's not needed anymore.
    Increase depending version for python3-social-auth-core >= 4.1.0.
  * d/copyright: Update content
  * autopkgtest: Add testsuite as autopkgtest

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Dec 2021 11:12:10 +0100

=== debian/control ===
Source: social-auth-app-django
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andre Bianchi <drebs@riseup.net>,
 Ana Rodríguez López <rodrilopez.ana@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django,
 python3-mock,
 python3-setuptools,
 python3-social-auth-core (>= 4.1.0),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/python-social-auth/social-app-django
Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-app-django.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/social-auth-app-django

Package: python3-social-django
Architecture: all
Multi-Arch: foreign
Depends:
 python3-social-auth-core (>= 4.1.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Django component of the python-social-auth ecosystem (Python3 version)
 Python Social Auth is an easy to setup social authentication/registration
 mechanism with support for several frameworks and auth providers.
 .
 This is the Django component of the python-social-auth ecosystem, it
 implements the needed functionality to integrate social-auth-core in a Django
 based project.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=social-auth-app-django

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} ./manage.py test"

=== debian/tests/control ===
Test-Command: python3 -Wd manage.py test
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
# watch file for social-auth-app-django

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/social-auth-app-django-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/python-social-auth/social-app-django.git \
      refs/tags/(\d+\.\d+\.\d+)

## social-auth-app-django 5.2.0

=== debian/changelog ===
social-auth-app-django (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 30 Jun 2023 19:40:34 +0200

social-auth-app-django (5.2.0-1) experimental; urgency=medium

  * Team upload.
  * [13c1458] New upstream version 5.2.0
  * [cad14b6] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [6d5c11e] d/copyright: Update and adjust years of contributions
  * [3cd4478] d/control: Adjust B-D entries, add BuildProfileSpecs
  * [e88db9a] d/rules: Drop --with option in default target
  * [39cbcde] d/control: Remove python3-social-auth-core from Depends

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 03 Apr 2023 18:52:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
  Ana Rodríguez López <rodrilopez.ana@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-django,
- python3-mock,
+ python3-django <!nocheck>,
+ python3-mock <!nocheck>,
  python3-setuptools,
- python3-social-auth-core (>= 4.1.0),
-Standards-Version: 4.6.0
+ python3-social-auth-core (>= 4.1.0) <!nocheck>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/python-social-auth/social-app-django
 Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-app-django.git
@@ -23,7 +24,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- python3-social-auth-core (>= 4.1.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Django component of the python-social-auth ecosystem (Python3 version)

## social-auth-app-django 5.4.0

=== requirements.txt ===
Django>=3.2
social-auth-core>=4.4.1

=== debian/changelog ===
social-auth-app-django (5.4.0-1) unstable; urgency=medium

  * Team upload.
  [ Alexandre Detiste ]
  * [7a1f1dd] remove stale extraneous dependency on python3-mock

  [ Carsten Schoenert ]
  * [ca40700] d/watch: Add compression=gz
  * [50049fb] New upstream version 5.4.0
  * [7897083] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 26 Feb 2024 18:14:57 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-django <!nocheck>,
- python3-mock <!nocheck>,
  python3-setuptools,
  python3-social-auth-core (>= 4.1.0) <!nocheck>,
 Standards-Version: 4.6.2

## social-auth-app-django 5.4.1

=== debian/changelog ===
social-auth-app-django (5.4.1-1) unstable; urgency=medium

  * Team upload.
  * [bd55d80] New upstream version 5.4.1
    Fixes CVE-2024-32879
  * [d458518] d/control: Update Standards-Version to 4.7.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Jun 2024 08:21:57 +0200

## social-auth-app-django 5.4.2

=== debian/changelog ===
social-auth-app-django (5.4.2-1) unstable; urgency=medium

  * Team upload.
  * [68491be] New upstream version 5.4.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 Jul 2024 11:39:12 +0900

## social-auth-app-django 5.4.3

=== debian/changelog ===
social-auth-app-django (5.4.3-1) unstable; urgency=medium

  * Team upload.
  * [5567a20] New upstream version 5.4.3
  * [901bac0] d/u/metadata: Add Documentation key
  * [868e64e] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 20 Feb 2025 16:26:03 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-django <!nocheck>,
  python3-setuptools,
  python3-social-auth-core (>= 4.1.0) <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/python-social-auth/social-app-django
 Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-app-django.git
@@ -25,7 +25,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
-Description: Django component of the python-social-auth ecosystem (Python3 version)
+Description: Django component of the python-social-auth ecosystem (Python3)
  Python Social Auth is an easy to setup social authentication/registration
  mechanism with support for several frameworks and auth providers.
  .

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=social-auth-app-django

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} ./manage.py test"

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       filenamemangle=s/.+\/(\d\S*)\.tar\.gz/social-auth-app-django-$1.tar.gz/ \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \

## social-auth-app-django 5.6.0

=== debian/changelog ===
social-auth-app-django (5.6.0-1) experimental; urgency=medium

  * Team upload.
  * [fa3184e] d/watch: Convert to version 5
  * [b5f3172] d/gbp.conf: Adjust to debian/experimental
  * [c27266d] New upstream version 5.6.0
    Fixes CVE-2025-61783
  * [e61a9b4] d/control: Adjust to debian/experimental
  * [5f08c6e] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [356d4fb] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [d491ef2] d/control: Bump some B-D versions due upstream changes

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 24 Nov 2025 16:06:02 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,13 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-django <!nocheck>,
+ python3-django (>= 3:5.1) <!nocheck>,
  python3-setuptools,
- python3-social-auth-core (>= 4.1.0) <!nocheck>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+ python3-social-auth-core (>= 4.4.0) <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/python-social-auth/social-app-django
-Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-app-django.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/social-auth-app-django
+Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-app-django.git -b debian/experimental
+Vcs-Browser: https://salsa.debian.org/python-team/packages/social-auth-app-django/commits/debian/experimental/
 
 Package: python3-social-django
 Architecture: all

## social-auth-app-django 5.7.0

=== debian/changelog ===
social-auth-app-django (5.7.0-1) experimental; urgency=medium

  * Team upload.
  * [9e39505] New upstream version 5.7.0
  * [412dc5b] d/control: Bump B-D on python3-social-auth-core >= 4.8.3
  * [916f88c] d/control: Update Standards-Version to 4.7.3
    No further changes needed.
  * [d065623] d/copyright: Update content and year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Jan 2026 08:14:49 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  python3-all,
  python3-django (>= 3:5.1) <!nocheck>,
  python3-setuptools,
- python3-social-auth-core (>= 4.4.0) <!nocheck>,
-Standards-Version: 4.7.2
+ python3-social-auth-core (>= 4.8.3) <!nocheck>,
+Standards-Version: 4.7.3
 Homepage: https://github.com/python-social-auth/social-app-django
 Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-app-django.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/python-team/packages/social-auth-app-django/commits/debian/experimental/

=== debian/watch ===
Version: 5

Source: https://github.com/python-social-auth/social-app-django.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Mode: git
